Name:           geanyvc
Version:        0.5
Release:        3%{?dist}
Summary:        Version Controler plugin for geany

Group:          Development/Languages
License:        GPLv2+
URL:            http://plugins.geany.org/geanyvc/
Source0:        http://users.cosmostv.by/yurand/geanyvc/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  geany-devel >= 0.15 gettext intltool
Requires:       geany

%description
geanyvc is plugin that provides a uniform way of accessing the different
version-control systems inside Geany IDE. Only small subset of vc is 
implemented, but, hey, you don't need anything besides diff, log, status,
revert and commit most time.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm  $RPM_BUILD_ROOT%{_libdir}/geany/geanyvc.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README THANKS TODO
%{_libdir}/geany/*

%changelog
* Thu Apr 02 2009 pingou <pingou@pingoured.fr> 0.5-3
- Do not own the folder geany which is own by the original package

* Wed Mar 04 2009 Pingou <pingou@pingoured.fr> 0.5-2
- Add intltool in the BR
- Change license to GPLv2+ has it should be

* Wed Mar 04 2009 Pingou <pingou@pingoured.fr> 0.5-1
- Update to 0.5 for geant 0.16

* Fri Feb 13 2009 Pingou <pingou@pingoured.fr> 0.4-1
- First RPM for Fedora

